LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XToolkitRobot Interface Reference

Allows injection of keyboard and mouse events. More...

`import"XToolkitRobot.idl";`

## Public Member Functions
void | keyPress ([in] com::sun::star::awt::KeyEvent aKeyEvent)
void | keyRelease ([in] com::sun::star::awt::KeyEvent aKeyEvent)
void | mousePress ([in] com::sun::star::awt::MouseEvent aMouseEvent)
void | mouseRelease ([in] com::sun::star::awt::MouseEvent aMouseEvent)
void | mouseMove ([in] com::sun::star::awt::MouseEvent aMouseEvent)

## Detailed Description

Allows injection of keyboard and mouse events.

Since
  LibreOffice 5.1

## Member Function Documentation

## ◆ keyPress()

void keyPress | ( | [in] com::sun::star::awt::KeyEvent | aKeyEvent | ) |

## ◆ keyRelease()

void keyRelease | ( | [in] com::sun::star::awt::KeyEvent | aKeyEvent | ) |

## ◆ mouseMove()

void mouseMove | ( | [in] com::sun::star::awt::MouseEvent | aMouseEvent | ) |

## ◆ mousePress()

void mousePress | ( | [in] com::sun::star::awt::MouseEvent | aMouseEvent | ) |

## ◆ mouseRelease()

void mouseRelease | ( | [in] com::sun::star::awt::MouseEvent | aMouseEvent | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XToolkitRobot.idl